/*
** pat_null.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:28 1999 
** Last update Thu Oct 28 20:21:13 1999 
*/
#ifndef PAT_NULL_H
#define PAT_NULL_H	1

#include "pat.h"

typedef struct		s_null
{
  t_u32			family;
} t_null;

#define NULL_HLEN	4

#define PAT_NULL_CHECK(nullpar,bufpar,lenpar) \
	if ((lenpar) < NULL_HLEN)\
		return (ERR_PAT_TRUNC_PAT);\
	(nullpar) = (t_null *)(bufpar);

extern t_pat		null_pat;

/* PROTO pat_null.c */
/* pat_null.c */
t_status null_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status null_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status null_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status null_pat_get_fields P((void *data, t_vec *vec_str));
t_status null_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status null_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status null_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status null_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
#endif
